﻿using System.Windows.Controls;
using System.Windows;
using System.Windows.Media;

namespace UrzaGatherer
{
    public class SlideItem : ContentControl
    {

        public SlideItem()
        {
            RenderTransformOrigin = new Point(0.5, 0.5);
            TransformGroup group = new TransformGroup();
            group.Children.Add(new TranslateTransform());
            group.Children.Add(new ScaleTransform());
            RenderTransform = group;
            this.ClipToBounds = true;

            HorizontalContentAlignment = System.Windows.HorizontalAlignment.Stretch;
            VerticalContentAlignment = System.Windows.VerticalAlignment.Stretch;
            Visibility = System.Windows.Visibility.Collapsed;
        }
    }
}
