﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows;
using UrzaIncubator;

namespace UrzaGatherer
{
    public class BlockSelectedConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
                return Visibility.Collapsed;
            Block block = value as Block;

            if (block == null)
                return Visibility.Collapsed;

            if (block.Name == "Oracle")
                return Visibility.Collapsed;

            return Visibility.Visible;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }
    }
}
