﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Controls;

namespace UrzaGatherer
{
    public class CheckConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
                return " ";

            bool boolean = (bool)value;

            return boolean ? "Checked" : "Unchecked";
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string data = value.ToString();

            switch (data)
            {
                case "Checked":
                    return true;
                case "Unchecked":
                    return false;
            }

            return null;
        }
    }
}