﻿using System.Windows;

namespace UrzaGatherer
{
    public partial class MessageWindow : Window
    {
        public MessageWindow()
        {
            InitializeComponent();
        }

        public string Message
        {
            set
            {
                TitleText.Text = value;
            }
        }
        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }

        public static void Show(string message, string title, Window owner)
        {
            MessageWindow window = new MessageWindow();

            window.Message = message;
            window.Title = title;
            window.Owner = owner;
            
            window.ShowDialog();
        }
    }
}
