﻿using System.Linq;

namespace UrzaIncubator
{
    partial class Expansion
    {
        public string CompleteText
        {
            get
            {
                lock (DataRoot.Entities)
                {
                    var query = from card in Cards
                                select card;

                    int check = query.Count(c => c.Check);
                    int count = query.Count();
                    int missing = count - check;

                    if (missing == 0)
                        return string.Format("- {0} cards", count);
                    return string.Format("({0}/{1} - Missing : {2})", check, count, missing);
                }
            }
        }
    }
}
