﻿using System.Collections.Generic;
using System.Linq;

namespace UrzaIncubator
{
    public partial class Entities
    {
        public static string ConnectionString
        {
            get
            {
                return "Data Source=" + DataRoot.WorkingPath + @"\UrzaGatherer.sdf";
            }
        }

        public static Entities Create()
        {
            string connectionString = @"metadata=res://*/UrzaModel.csdl|res://*/UrzaModel.ssdl|res://*/UrzaModel.msl;provider=System.Data.SqlServerCe.4.0;provider connection string=""" + ConnectionString + @""";";
            return new Entities(connectionString);
        }

        public List<Author> GetAuthors()
        {
            return Authors.OrderBy(a => a.Name).ToList();
        }
    }
}
