﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;
using Color = UrzaIncubator.Color;

namespace UrzaGatherer
{
    public class CardColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string colorName = ((Color)value).Name;

            switch (colorName)
            {
                case "Red":
                    return new SolidColorBrush(Colors.Red);
                case "Green":
                    return new SolidColorBrush(Colors.Green);                    ;
                case "Black":
                    return new SolidColorBrush(Colors.Black);
                case "Blue":
                    return new SolidColorBrush(Colors.Blue);
                case "Multicolor":
                    return new SolidColorBrush(Colors.Gold);
                case "White":
                    return new SolidColorBrush(Colors.White);
                case "Land":
                    return new SolidColorBrush(Colors.DarkKhaki);
                case "Artifact":
                    return new SolidColorBrush(Colors.Silver);
                case "Eldrazi":
                    return new SolidColorBrush(Colors.Silver);
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
