﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace UrzaGatherer
{
    public class CardPriceEditorConverter : IValueConverter
    {
        object oldValue;
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            oldValue = value;
            
            if (value == null)
                return "";
            return string.Format("{0:0.00}", value);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            float result;

            if (float.TryParse(value.ToString(), out result))
                return result;

            return oldValue;
        }
    }
}
