﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace UrzaGatherer
{
    public partial class QuestionWindow : Window
    {
        public QuestionWindow()
        {
            InitializeComponent();
        }

        public string Question
        {
            set
            {
                TitleText.Text = value;
            }
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }

        public static bool? Show(string question, string title, Window owner)
        {
            QuestionWindow window = new QuestionWindow();

            window.Question = question;
            window.Title = title;
            window.Owner = owner;
            
            return window.ShowDialog();
        }
    }
}
