﻿using System.Runtime.Serialization;

namespace UrzaIncubator.JSON.Minified
{
    [DataContract]
    public class JSONCard
    {
        [DataMember]
        public string picturePath { get; set; }
        
        [DataMember]
        public string name { get; set; }
       
        public JSONCard(Card card)
        {
            name = card.Name;
            picturePath = card.PicturePath;
        }

        public static implicit operator JSONCard(Card card)
        {
            return new JSONCard(card);
        }
    }
}
